Summary:        A single tool to manage your storage
Name:           system-storage-manager
Version:        1.3
Release:        3%{?dist}
License:        GPLv2+
URL:            https://system-storage-manager.github.io/
Source0:        https://github.com/system-storage-manager/ssm/archive/%{name}-%{version}.tar.gz

Patch3000:      python3-sphinx.patch

BuildArch:      noarch
BuildRequires:  make python3-devel python3-sphinx python3-pwquality
Requires:       util-linux which xfsprogs e2fsprogs python3-pwquality


%description
System Storage Manager provides an easy to use command line interface to manage
your storage using various technologies like lvm, btrfs, encrypted volumes and
more.

In more sophisticated enterprise storage environments, management with Device
Mapper (dm), Logical Volume Manager (LVM), or Multiple Devices (md) is becoming
increasingly more difficult.  With file systems added to the mix, the number of
tools needed to configure and manage storage has grown so large that it is
simply not user friendly.  With so many options for a system administrator to
consider, the opportunity for errors and problems is large.

The btrfs administration tools have shown us that storage management can be
simplified, and we are working to bring that ease of use to Linux file systems
in general.

The ssm will help you to manage your storage with various technologies via a
single unified interface.


%prep
%autosetup -n ssm-%{name}-%{version} -p1

%build
make docs


%install
rm -rf %{buildroot}
%{__python3} setup.py install --root=%{buildroot}
mv %{buildroot}/{%{_docdir}/%{name}-%{version},%{_pkgdocdir}}

%check
%{__python3} test.py


%files
%{_pkgdocdir}/
%{_bindir}/ssm
%{python3_sitelib}/ssmlib/
%{python3_sitelib}/*.egg-info
%{_mandir}/man8/ssm.8*


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Sep 2 2022 Shuo Wang <abushwang@tencent.com> - 1.3-1
- initial build
